/**
@author yasuhiro tanaka
@mod_date 2006.09.04
*/

var _doc = fl.getDocumentDOM();
var _timeline = _doc.getTimeline();
var _layer = _timeline.layers[0];
var _items = _doc.library.getSelectedItems();
_items.sort(function(a, b) {
				if (a.name < b.name) return -1;
				else if (a.name > b.name) return 1;
				else return 0;
			});
for (var i = 0; i < _items.length; i++) {
	_timeline.convertToBlankKeyframes();
	_timeline.currentFrame = i;
	_doc.addItem({x:0,  y:0}, _items[i]);
	var _matrix = _layer.frames[i].elements[0].matrix;
	_matrix.tx -= _layer.frames[i].elements[0].left;
	_matrix.ty -= _layer.frames[i].elements[0].top;
	_layer.frames[i].elements[0].matrix = _matrix;
}